## python-novaclient 18.5.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0 # BSD

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-novaclient (2:18.5.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 15:10:22 +0000

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.5.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.11.2),
 python3-os-client-config,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable (>= 0.7.2),
 python3-requests,
 python3-requests-mock (>= 1.2.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-novaclient
Homepage: https://opendev.org/openstack/python-novaclient
Testsuite: autopkgtest-pkg-python

Package: python-novaclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

Package: python3-novaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.5.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:2.0.1),
 ${misc:Depends},
 ${python3:Depends},
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

## python-novaclient 18.7.0

=== debian/changelog ===
python-novaclient (2:18.7.0-3) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 11:40:46 +0100

python-novaclient (2:18.7.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:26:46 +0200

python-novaclient (2:18.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2024 11:24:46 +0200

python-novaclient (2:18.6.0-3) unstable; urgency=medium

  * Remove obsolete python3-unittest2 build dependency (Closes: #1066133).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 09:19:35 +0200

python-novaclient (2:18.6.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist test_ambiguous_option and test_not_really_ambiguous_option, as
    Python 3.12.2 broken them, and /usr/bin/nova is anyways deprecated.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:33:43 +0200

python-novaclient (2:18.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Mar 2024 09:57:02 +0100

python-novaclient (2:18.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 20:52:30 +0100

python-novaclient (2:18.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 16:23:09 +0200

python-novaclient (2:18.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Sep 2023 11:38:36 +0200

python-novaclient (2:18.3.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047915).
  * Correctly installs nova bash completion.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 15:22:02 +0200

python-novaclient (2:18.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:19:32 +0200

python-novaclient (2:18.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:16:54 +0100

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cinderclient,
 python3-coverage,
 python3-ddt,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-iso8601,
 python3-keyring,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-neutronclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-client-config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-osprofiler,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-novaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-novaclient

Package: python-novaclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

Package: python3-novaclient
Architecture: all
Depends:
 python3-iso8601,
 python3-keyring,
 python3-keystoneauth1,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

## python-novaclient 18.9.0

=== debian/changelog ===
python-novaclient (2:18.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Mar 2025 09:21:27 +0100

python-novaclient (2:18.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed glanceclient from build-depends.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:55:27 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-coverage,
  python3-ddt,
  python3-fixtures,
- python3-glanceclient,
  python3-hacking,
  python3-iso8601,
  python3-keyring,

## python-novaclient 18.11.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.0.0 # Apache-2.0
keystoneauth1>=3.5.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization>=2.20.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PrettyTable>=0.7.2 # BSD
stevedore>=2.0.1 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.1.1 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0 # BSD

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-novaclient (2:18.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:41:29 +0200

python-novaclient (2:18.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 18:14:06 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-cinderclient,
  python3-coverage,
  python3-ddt,
  python3-fixtures,
@@ -22,8 +21,6 @@
  python3-iso8601,
  python3-keyring,
  python3-keystoneauth1,
- python3-keystoneclient,
- python3-neutronclient,
  python3-openstackdocstheme,
  python3-openstacksdk,
  python3-os-client-config,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr .testrepository subunit.log doc/source/reference/api *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python3-novaclient/usr/share/bash-completion/completions/nova
	rm -rf $(CURDIR)/debian/python-novaclient/usr/novaclient

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# blacklisting:
	# https://bugs.launchpad.net/python-novaclient/+bug/1998856
	# These are broken since Python 3.12.3
	# test_shell.ParserTest.test_ambiguous_option
	# test_shell.ParserTest.test_not_really_ambiguous_option
	pkgos-dh_auto_test --no-py2 'novaclient\.tests\.unit\.(?!test_shell\.TestLoadVersionedActions\.test_load_actions_with_versioned_args|test_shell\.TestLoadVersionedActions\.test_load_versioned_actions|test_shell\.ParserTest\.test_ambiguous_option|test_shell\.ParserTest\.test_not_really_ambiguous_option)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-novaclient-doc/usr/share/doc/python-novaclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/^2012/0.0.0/" \
https://github.com/openstack/python-novaclient refs/tags/(\d[brc\d\.]+)

## python-novaclient 18.12.0

=== debian/changelog ===
python-novaclient (2:18.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-{ddt,hacking} from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 13:41:29 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,7 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
- python3-ddt,
  python3-fixtures,
- python3-hacking,
  python3-iso8601,
  python3-keyring,
  python3-keystoneauth1,

## python-novaclient 2012.1~e2

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6.6-3~),
 python-distribute,
 python-nose,
 python-prettytable,
 python (>= 2.7) | python-argparse,
 python-mock (>= 0.7),
 python-httplib2
Standards-Version: 3.9.2

Package: python-novaclient
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-prettytable, python-argparse, python-httplib2, python (>= 2.6) | python-simplejson
Description: client library for OpenStack Compute API
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_test:
	 python setup.py test

override_dh_clean:
	dh_clean
	rm -rf python_novaclient.egg-info

## python-novaclient 2012.1~e4

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: python-novaclient
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-prettytable, python-argparse, python-httplib2, python (>= 2.6) | python-simplejson
+Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.7) | python-argparse, python (>= 2.6) | python-simplejson
 Description: client library for OpenStack Compute API
  Python novaclient library and nova CLI tool for interacting with OpenStack
  Compute (Nova) through the OpenStack Compute API.

## python-novaclient 2012.1~rc1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe@debian.org>
+           Ghe Rivero <ghe.rivero@stackops.com>
 Build-Depends: debhelper (>= 7.0.50),
  python-all (>= 2.6.6-3~),
  python-distribute,
@@ -13,7 +13,7 @@
  python (>= 2.7) | python-argparse,
  python-mock (>= 0.7),
  python-httplib2
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: python-novaclient
 Architecture: all

## python-novaclient 2012.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-novaclient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-novaclient.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 7.0.50),
 python-all (>= 2.6.6-3~),
 python-distribute,
 python-nose,
 python-prettytable,
 python (>= 2.7) | python-argparse,
 python-mock (>= 0.7),
 python-httplib2
Standards-Version: 3.9.3
Homepage: https://github.com/openstack/python-novaclient 
Vcs-Git: git://git.debian.org/openstack/python-novaclient.git
Vcs-Browser: http://git.debian.org/?p=openstack/python-novaclient.git;a=summary 

Package: python-novaclient
Architecture: all
Breaks: simh (<< 3.8.1-3)
Replaces: simh (<< 3.8.1-3)
Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.7) | python-argparse, python (>= 2.6) | python-simplejson, python-pkg-resources, python-prettytable, python-httplib2
Description: client library for OpenStack Compute API
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_test::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test || true ; done
endif

=== debian/watch ===
version=3
http://nova.openstack.org/tarballs/ python-novaclient-(.*).tar.gz

## python-novaclient 2012.2~f1

=== debian/changelog ===
python-novaclient (2012.2~f1-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 May 2012 13:30:51 -0400
